QGIS Application - Feature request #19790
Handle Bad Layers - DISABLE instead of DELETE
Easy fix?: No Copied to github as #: 27615
Description

This is a request for a change to the "Handle Bad Layers" dialog. This should be a change to the QGIS core.
The scenario is working offline and loading a project with WMS or other unreachable layers defined. As the WMS is unreachable, the
layers are marked as "bad". Since the layers are not fixable while offline, they get deleted from the project. This also happens when

working remotely and not connected to network shares at the office.

It would be nice to be able to edit the layers locally stored on my laptop and not lose the definitions of the WMS or other "bad" layers in the
the project.

| propose that the "bad" layers be somehow marked as "DISABLED" only for the duration of the current session working on the project. By
not deleting these "bad" layers, they will be available the next time the project is opened where the source is actually reachable.

Further ideas are:

- "bad" layers which are disabled could also be marked with an exclamation point
- for the "disabled" layers, have the right click context menu have the options: delete, fix, hide(for this session only), ...*

Related issues:
Duplicates QGIS Application - Feature request # 8718: Do not remove unavailab... Closed 2013-09-29

History

#1 - 2018-09-12 09:12 AM - Regis Haubourg

+1 Much needed

#2 - 2018-09-18 11:28 AM - Roberto Uhlig

Correlated or same as nearly fife years old #8718 https://issues.qgis.org/issues/8718

+1 Much needed

#3 - 2018-09-18 11:33 AM - Nyall Dawson

FYI - if this remains unfixed for the 3.6 cycle, North Road are planning a crowd funding effort to implement this change.

#4 - 2018-09-18 11:48 AM - Roberto Uhlig

Thanks for information and keeping on track.
May be, there could be some ideas from the maintainer of the "changeDataSource" plugin enrico ferreguti (enricofer).
#5 - 2018-10-05 09:56 AM - Knut Berg

+1 Much needed.

#6 - 2018-11-28 11:32 AM - Harrissou Santanna

- Duplicates Feature request #8718: Do not remove unavailable layers when opening project added
#7 - 2018-11-28 11:33 AM - Harrissou Santanna

- Resolution set to fixed/implemented
- Status changed from Open to Closed

Fixed in https://github.com/qgis/QGIS/pull/8435

2025-04-27 22


https://github.com/enricofer/changeDataSource/issues/10
https://github.com/qgis/QGIS/pull/8435

